<?php include "inc/debut.php";
head("index.php"); ?>

  <div id="pres">
    <p>

      Moi c'est Miraty, j'héberge divers services libres sur un serveur dédié Kimsufi (OVH) sous <a href="https://yunohost.org">YunoHost</a>.<br>
      L'utilisation de ces services est régie par les <a href="cgu.php">conditions d'utilisation d'Antopie</a>.

    </p>
  </div>

  <div id="services" class="grille-services">

    <?php

$logoService = array(
'plume' => 'plumeo.png',
'peertube' => 'peertubeo.png',
'gitea' => 'gitea.png',
'qr' => "qr512.png",
'nextcloud' => 'nextcloud.png',
'synapse' => 'matrix.png',
'riot' => 'riot.png',
'privatebin' => 'privatebin.png',
'jirafeau' => 'jirafeau.png',
'pleroma' => 'pleroma.png',
'rssbridge' => 'rssbridge.png',
);

$urlService = array(
'plume' => 'blog',
'peertube' => 'video',
'gitea' => 'code',
'qr' => "qr",
'nextcloud' => 'nuage',
'synapse' => 'matrix',
'riot' => 'riot',
'privatebin' => 'texte',
'jirafeau' => 'up',
'pleroma' => 'social',
'rssbridge' => 'rss',
);

$nomService = array(
'plume' => 'Plume',
'peertube' => 'PeerTube',
'gitea' => 'Gitea',
'qr' => "Générateur de codes QR",
'nextcloud' => 'Nextcloud',
'synapse' => 'Synapse',
'riot' => 'Riot',
'privatebin' => 'PrivateBin',
'jirafeau' => 'Jirafeau',
'pleroma' => 'Pleroma',
'rssbridge' => 'RSS Bridge',
);
$infoThemeService = array(
'plume' => 'Thème spécial sombre & rouge',
'peertube' => 'Thème spécial rouge',
'gitea' => 'Thème spécial sombre',
'qr' => NULL,
'nextcloud' => 'Thème spécial rouge',
'synapse' => NULL,
'riot' => NULL,
'privatebin' => 'Thème spécial sombre & rouge',
'jirafeau' => NULL,
'pleroma' => NULL,
'rssbridge' => NULL,
);

$descService = array(
'plume' => "Créez un blog simplement. Fédi-fédération et flux d'actualités inclus",
'peertube' => "Regardez ou publiez des vidéos sur le Fédiverse. Possibilité de pair à pair si le serveur d'origine est surchargé.",
'gitea' => 'Forge logicielle simple basée sur Git',
'qr' => "Créez des codes QR simplement.<br> Créé par moi-même",
'nextcloud' => "Stockage et syncronisation de fichiers avec en bonus client mail, syncronisation des contacts (CardDAV) et de l'agenda (CalDAV), sondages, Carnet, chat écrit, audio ou vidéo, et gestionnaire de mot de passe",
'synapse' => 'Serveur Matrix. <br>Matrix est un protocol moderne pour la communication écrite, audio ou vidéo.',
'riot' => 'Client Matrix. <br>Disponible sur Linux, F-droid et partout',
'privatebin' => 'Partagez des textes, codes sources ou Markdown rapidement.',
'jirafeau' => "Partagez n'importe quel fichier avec n'importe qui.",
'pleroma' => "Microblogage sur le Fédiverse. Inclus l'interface de glitch-soc, basée sur celle de Mastodon. Compatible avec les clients Mastodon.",
'rssbridge' => "Exportez les données de centaines de sites aux formats Atom, HTML, JSON, Mrss ou texte.",
);

    foreach($descService as $codeService => $descService) { ?>
    <?php if ($codeService == "synapse") { } else { ?><a class="service" href="https://<?= $urlService[$codeService] ?>.antopie.org"><?php } ?>
      <div>

        <div class="logoService"><img class="elLogoServ" src="img/logos/<?= $logoService[$codeService] ?>"/></div>
        <div class="titreService"><?= $nomService[$codeService] ?></div>
        <div class="urlService"><?= $urlService[$codeService] ?>.antopie.org</div>
        <div class="descService"><?= $descService ?></div>
        <div class="themeService"><?php if (!is_null($infoThemeService[$codeService])) { ?>· <?= $infoThemeService[$codeService] ?> ·<?php } ?></div>

      </div>
    <?php if ($codeService == "synapse") { } else { ?></a><?php } ?>
    <?php } ?>

  </div>

  <br>

  <p>
    Vous trouverez également votre IP, agent utilisateur, référent HTTP et langues demandées sur <a href="navigateur.php">cette page</a>.
  </p>


  <adress id="contact">
    N'hésite pas à me contacter par mail : <a href="mailto:miraty+web@antopie.org"><code>miraty+web@antopie.org</code></a>, le Fédiverse : <a href="https://social.antopie.org/miraty"><code>@miraty@social.antopie.org</code></a>, ou Matrix : <code>@miraty:matrix.antopie.org</code>.
  </adress>


<?php include "inc/footer.php"; ?>
